> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/nodejs/cloud-api/models/groupproperties.md).

# GroupProperties

## Properties

| Name                            | Type        | Description                                                                                                                                                           | Notes                               |
| ------------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------- |
| **accessActivityLog**           | **boolean** | Activity log access privilege.                                                                                                                                        | \[optional] \[default to undefined] |
| **accessAndManageCertificates** | **boolean** | Privilege for a group to access and manage certificates.                                                                                                              | \[optional] \[default to undefined] |
| **accessAndManageDns**          | **boolean** | Privilege for a group to access and manage dns records.                                                                                                               | \[optional] \[default to undefined] |
| **accessAndManageMonitoring**   | **boolean** | Privilege for a group to access and manage monitoring related functionality (access metrics, CRUD on alarms, alarm-actions etc) using Monotoring-as-a-Service (MaaS). | \[optional] \[default to undefined] |
| **createBackupUnit**            | **boolean** | Create backup unit privilege.                                                                                                                                         | \[optional] \[default to undefined] |
| **createDataCenter**            | **boolean** | Create data center privilege.                                                                                                                                         | \[optional] \[default to undefined] |
| **createFlowLog**               | **boolean** | Create Flow Logs privilege.                                                                                                                                           | \[optional] \[default to undefined] |
| **createInternetAccess**        | **boolean** | Create internet access privilege.                                                                                                                                     | \[optional] \[default to undefined] |
| **createK8sCluster**            | **boolean** | Create Kubernetes cluster privilege.                                                                                                                                  | \[optional] \[default to undefined] |
| **createPcc**                   | **boolean** | Create pcc privilege.                                                                                                                                                 | \[optional] \[default to undefined] |
| **createSnapshot**              | **boolean** | Create snapshot privilege.                                                                                                                                            | \[optional] \[default to undefined] |
| **manageDBaaS**                 | **boolean** | Privilege for a group to manage DBaaS related functionality.                                                                                                          | \[optional] \[default to undefined] |
| **manageDataplatform**          | **boolean** | Privilege for a group to access and manage the Data Platform.                                                                                                         | \[optional] \[default to undefined] |
| **manageRegistry**              | **boolean** | Privilege for group accessing container registry related functionality.                                                                                               | \[optional] \[default to undefined] |
| **name**                        | **string**  | The name of the resource.                                                                                                                                             | \[optional] \[default to undefined] |
| **reserveIp**                   | **boolean** | Reserve IP block privilege.                                                                                                                                           | \[optional] \[default to undefined] |
| **s3Privilege**                 | **boolean** | S3 privilege.                                                                                                                                                         | \[optional] \[default to undefined] |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/nodejs/cloud-api/models/groupproperties.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
